%define  req_libgnomeui_version	2.1.0

Summary:        The gnome desktop programs for the GNOME GUI desktop environment.
Name:           gnome-session
Version:        2.4.2
Release:        6mdk
License:        GPL/LGPL
Group:          Graphical desktop/GNOME
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:        gnome-session-startgnome.bz2
Source2:	gnome-session-gnomerc.bz2
Source3:	gnome-splash.png
# (fc) 2.0.5-4dmk Fix login sound disabling (Rawhide)
Patch2:			gnome-session-2.0.5-login.patch.bz2
# (fc) 2.0.7-2mdk add pam-panel-icon from default session
Patch3:			gnome-session-2.3.3-defaultsession.patch.bz2
# (fc) 2.2.0.2-2mdk add some icons to splashscreen
Patch4:			gnome-session-2.3.0-splashicons.patch.bz2
# (fc) 2.3.7-2mdk don't use session to start mandrakegalaxy, do it
# ourself (bug # 4505)
Patch5:		gnome-session-2.3.7-mandrakegalaxy.patch.bz2
# (fc) 2.4.2-3mdk use our own splash
Patch6:		gnome-session-2.4.2-splash.patch.bz2
# (fc) 2.4.2-4mdk fix dithering of splash screen (RH)
Patch7:		gnome-session-2.0.5-dithering.patch.bz2
# (fc) 2.4.2-5mdk fix text garbage on splash (RH)
Patch8:		gnome-session-2.2.0.2-splash-repaint.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
URL:            http://www.gnome.org/softwaremap/projects/gnome-session/
Requires:		GConf2 >= 1.2.1
Requires:		mandrake_desk >= 9.0-6mdk
Requires:		usermode >= 1.63
Requires:		gnome-user-docs
Requires:		yelp
BuildRequires:	usermode-consoleonly
BuildRequires:	libGConf2-devel >= 1.2.1
BuildRequires:  libgnomeui2-devel >= %{req_libgnomeui_version}
#gw for the intltool scripts:
BuildRequires: perl-XML-Parser

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.

The GNOME Session Manager restores a set session (group of applications)
when you log into GNOME.

%prep
%setup -q
%patch2 -p1 -b .login
%patch3 -p1 -b .defaultsession
%patch4 -p1 -b .splashicons
%patch5 -p1 -b .mandrakegalaxy
%patch6 -p1 -b .splash
%patch7 -p1 -b .dithering
%patch8 -p1 -b .splashrepaint

%build

# we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x --with-reboot-command=%{_bindir}/reboot --with-halt-command=%{_bindir}/poweroff
%make


%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

cp %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash/mdk-gnome-splash.png

# wmsession session file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/02GNOME
NAME=GNOME
ICON=gnome-logo-icon-transparent.png
DESC=GNOME Environment
EXEC=%{_bindir}/startgnome
SCRIPT:
exec %{_bindir}/startgnome
EOF

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/gnome-session-properties" icon="%{_datadir}/pixmaps/gnome-session.png" title="Sessions" longtitle="Configure your sessions" needs="gnome" section="Configuration/GNOME/Advanced" startup_notify="true"
EOF

bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/startgnome
chmod a+x $RPM_BUILD_ROOT%{_bindir}/startgnome

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gnomerc
chmod a+x $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gnomerc

%find_lang %{name}-2.0

%post
if [ "$1" = "2" -a -r /etc/sysconfig/desktop ]; then
  perl -pi -e "s|^DESKTOP=Gnome$|DESKTOP=GNOME|g" /etc/sysconfig/desktop
fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-session.schemas > /dev/null
%{make_session}
%{update_menus}

%preun
if [ "$1" = "0" ]; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-session.schemas > /dev/null
fi

%postun
%{make_session}
%{clean_menus}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files -f %{name}-2.0.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%config(noreplace) %{_sysconfdir}/gnome/gnomerc
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/gnome/*
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_mandir}/*/*

%changelog
* Wed Mar 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-6mdk
- Update source2 to start mdkapplet if it is installed

* Tue Feb 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-5mdk
- Patch8 (RH): fix text garbage on splash

* Mon Feb 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-4mdk
- Patch7 (RH): fix dithering of splash screen

* Mon Feb 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-3mdk
- Patch6 : new splash 

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-2mdk
- fix buildrequires

* Thu Jan 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-1mdk
- Release 2.4.2
- Update patches 3 & 4 to add magicdev to default session
- Fix migration script (bug 6677) 

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- new version

* Mon Sep 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-3mdk
- Patch 3 is back, bug is fixed in gtk+ 2.2.4-2mdk

* Fri Sep 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Remove patch3 : don't add pam-panel-icon until tray icons taking 100% cpu is fixed

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90
- Fix BuildRequires

* Thu Aug 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-2mdk
- Patch5: don't use session to start mandrakegalaxy, do it ourself 
  (should fix splash bug #4505)

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-1mdk
- Release 2.3.7

* Tue Aug 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6.2-1mdk
- Release 2.3.6.2

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6.1-1mdk
- Release 2.3.6.1
- Remove patch5 (better fix merged upstream)

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-2mdk
- Patch5: workaround for bug #119346 (mdk bug 4533) 
  which was preventing shutdown/reboot

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-1mdk
- Release 2.3.6
- Remove patch1 (merged upstream)

* Fri Aug  1 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-3mdk
- Enforce dependency on gnome-user-docs and yelp (bug #4452)

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-2mdk
- Fix uninstall schema

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3.1-1mdk
- Release 2.3.3.1

* Fri Jun  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3
- Regenerate patch 3

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-1mdk
- Release 2.3.0
- Regenerate patch4

* Tue Feb 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0.2-2mdk
- Patch4 :  add some icons to splashscreen
- Update source2 for MandrakeGalaxy startup

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.2-1mdk
- Release 2.2.0.2

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-2mdk
- Recompiled against latest openssl

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Wed Nov 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-4mdk
- Fix description/url (Yura Gusev)

* Tue Nov 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-3mdk
- Correctly shutdown/reboot the system when asked for (bug 515)

* Mon Nov 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-2mdk
- Update source2 to no longer call gnome-volume-control (can't be used with gnome-media 2.1.x)

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- Remove patch0 (merged upstream)

* Thu Nov 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-2mdk
- Patch3: add pam-panel-icon, remove gnome-terminal from default session

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-1mdk
- Release 2.0.7

* Tue Aug 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-4mdk
- Patch2 (Rawhide): fix login sound disabling (bug #91531)

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-3mdk
- Set Galeon as default browser if available

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-2mdk
- Patch1 (rawhide): set GTK_RC_FILES so we can change the gtk1 theme

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-2mdk
- Bump gconf dependency to ensure gconf-sanity-check2 is in /usr/lib

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3
- Remove patch1 (merged upstream)

* Thu Jul 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-5mdk
- Resync source2 with latest gdm version

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-4mdk
- Update patch1 with new version from CVS
- Update source2 to no longer set GDK_USE_XFT, it is done by gtk profile.d scripts

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-3mdk
- Add menu entry

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-2mdk
- Patch1 (CVS): fix splash staying grey too long

* Mon Jul 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Fri Jul 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch0: Metacity has now higher priority than sawfish

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.21-1mdk
- Release 1.5.21

* Fri May 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.19-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.19-1mdk
- Release 1.5.19

* Fri May  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.18-2mdk
- Enable use of ~/.gnomerc to bypass standard gnome startup script
- Let's activate anti-aliasing by default

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.18-1mdk
- Release 1.5.18

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.17-1mdk
- Release 1.5.17

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.16-1mdk
- Release 1.5.16

* Fri Apr  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.15-1mdk
- Release 1.5.15 (GUADEC Powered)
- Remove patch 0 (merged upstream)

* Wed Mar 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.13-2mdk
- re-add startgnome script (almost empty)
- add wmsession file
- Patch0: don't start a new window when launching nautilus

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.13-1mdk
- Initial Mdk package

* Tue Mar 05 2002 Chris Chabot <chabotc@reviewboard.com>
- Final cleanups
- make .spec.in

* Sun Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file for gnome-session
